Bug 2380 - Jan. 2005 nv chipset update
Summary: Jan. 2005 nv chipset update
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: git
Hardware: x86 (IA32) All
: high normal
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-25 17:30 UTC by Alan Coopersmith
Modified: 2011-10-21 17:55 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch to Xorg CVS head to resync with Mark's latest updates (8.25 KB, patch)
2005-01-25 17:32 UTC, Alan Coopersmith
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Coopersmith 2005-01-25 17:30:22 UTC
Mark Vojkovich has updated the nv driver with additional Nvidia chipset support.
We should bring in these changes to our copy.

Changes by:	mvojkovi@public.xfree86.org.	05/01/19 17:01:00

Log message:
     Support for new hardware.

Modified files:
      xc/programs/Xserver/hw/xfree86/drivers/nv/:
        nv_driver.c nv_hw.c 
  
  Revision      Changes    Path
  1.131         +56 -11    xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
  1.14          +12 -1     xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c
Comment 1 Alan Coopersmith 2005-01-25 17:32:39 UTC
Created attachment 1752 [details] [review]
Patch to Xorg CVS head to resync with Mark's latest updates
Comment 2 Alan Coopersmith 2005-01-25 17:38:09 UTC
Committed to CVS head:

CVSROOT:	/cvs/xorg
Module name:	xc
Changes by:	alanc@gabe.freedesktop.org	05/01/25 17:36:04

Log message:
  2005-01-25  Alan Coopersmith  <alan.coopersmith@sun.com>
  
  	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
  	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
  	Jan. 2005 nv chipset update from Mark Vojkovich
  	Bug #2380 <https://bugs.freedesktop.org/show_bug.cgi?id=2380>
  	Patch #1752 <https://bugs.freedesktop.org/attachment.cgi?id=1752>

Modified files:
      ./:
        ChangeLog 
      xc/programs/Xserver/hw/xfree86/drivers/nv/:
        nv_driver.c nv_hw.c 
  
  Revision      Changes    Path
  1.709         +9 -1      xc/ChangeLog
  1.10          +57 -11    xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
  1.5           +12 -1     xc/programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c

Comment 3 Stefan Dirsch 2005-01-26 01:30:54 UTC
Shouldn't we also nominate this one for 6.8.2? About 20 new known nvidia 
devices are supported. And maybe even some more unknown (0x22? + 0x23?, would 
be up to 32 devices) in the future ... 
Comment 4 Alan Coopersmith 2005-01-26 06:55:51 UTC
If it wasn't past the patch nominating deadline, I'd agree - but we're only
supposed to be taking showstopper bugs into 6.8.2 now that the final RC is
cut, and I don't think this is a showstopper.   (Of course, I've also gone and
pulled it into our current 6.8.2-testing build packages inside Sun that will
probably be in our next Solaris release, since that is not in showstopper-only
freeze at the moment.)
Comment 5 Alan Coopersmith 2005-02-10 17:14:29 UTC
Comment on attachment 1752 [details] [review]
Patch to Xorg CVS head to resync with Mark's latest updates

Nominating for 6.8.3 now that 6.8.2 has shipped.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.